Subject: [bug#31237] [PATCH] gnu: Add runc.

From: Nils Gillmann <[email-masked]>
Date: Sun, 22 Apr 2018 23:06:03 +0000

Ludovic Courtès transcribed 1.2K bytes:
> Hello,
> 
> 宋文武 <[email-masked]> skribis:
> 
> > * gnu/packages/virtualization.scm (runc): New variable.
> 
> Nice!
> 
> > +(define-public runc
> > +  (package
> > +    (name "runc")
> > +    (version "1.0.0-rc5")
> 
> If the actual release is going to be out soon, I’d be in favor of
> waiting for it; an RC doesn’t sound great.  WDYT?

What I wanted to comment earlier from my experience packaging this:
I was advised to follow the docker suggestions, where the dependency
versions are known by recommended commit.

> > +    (build-system gnu-build-system)
> 
> Would ‘go-build-system’ work better?  Or is it something of a hybrid
> (apparently it has makefiles)?

Same question here, since my runc package so far (without testing) just builds,
with go-build-system.

> > +    (arguments
> > +     '(#:tests? #f                      ; FIXME: 20/139 tests fail.
> 
> Have you looked a bit into them, just to see if it’s one of the usual
> things (/bin/sh, networking, etc.) or if it’s more involved?
> 
> > +               (invoke "make"))))
> 
> Perhaps honor (parallel-job-count).
> 
> > +    (synopsis "Open container initiative runtime")
> > +    (home-page "https://www.opencontainers.org/")
> > +    (description
> > +     "@command{runc} is a command line client for running applications
> > +packaged according to the Open Container Initiative (OCI) format and is a
>                              ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~^
> An @uref would be nice.  :-)
> 
> Thanks!
> 
> Ludo’.
> 
> 
>